# mongoc_gridfs_find()

## Synopsis

    mongoc_gridfs_file_list_t *
    mongoc_gridfs_find (mongoc_gridfs_t *gridfs,
                        const bson_t    *query);

## Parameters

gridfs | A mongoc_gridfs_t.
query | A bson_t.

## Description

Finds all gridfs files matching query. You can iterate the matched gridfs files with the resulting file list.

## Returns

A newly allcoated mongoc_gridfs_file_list_t that should be freed with mongoc_gridfs_file_list_destroy() when no longer in use.